Browse Source

Some minor debian junk I had sitting in my tree

Eric Andersen 21 years ago
parent
commit
ea06b118f2
6 changed files with 49 additions and 22 deletions
  1. 6 11
      debian/.cvsignore
  2. 22 0
      debian/uclibc-dev.postinst
  3. 4 0
      debian/uclibc-dev.prerm
  4. 2 1
      debian/uclibc.postinst
  5. 5 0
      debian/uclibc.prerm
  6. 10 10
      debian/uclibc.shlibs

+ 6 - 11
debian/.cvsignore

@@ -1,13 +1,8 @@
-uclibc-toolchain.substvars
-uclibc-toolchain.prerm.debhelper
-uclibc-toolchain.postinst.debhelper
-uclibc-toolchain
-uclibc-gcc
 tmp
-prerm.debhelper
-postinst.debhelper
-libuclibc0.substvars
-libuclibc0.prerm.debhelper
-libuclibc0.postinst.debhelper
-libuclibc0
 files
+uclibc
+uclibc-dev
+uclibc-dev.postinst.debhelper
+uclibc-dev.prerm.debhelper
+uclibc.postinst.debhelper
+uclibc.prerm.debhelper

+ 22 - 0
debian/uclibc-dev.postinst

@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+ldconfig
+
+if [ "$1" = "configure" ]; then
+    if [ -f /usr/lib/libintl.so.1 ] ; then
+	    rm -f /usr/lib/libc.so
+	    cat > /usr/lib/libc.so << EOF
+/* GNU ld script
+   Use the shared library, but some functions are only in
+   the static library, so try that secondarily.  */
+OUTPUT_FORMAT(elf32-i386)
+GROUP ( /lib/libc.so.0 /usr/lib/libintl.so.1 )
+EOF
+	    chown root.root /usr/lib/libc.so
+	    chmod 0644 /usr/lib/libc.so
+    fi
+fi
+
+#DEBHELPER#

+ 4 - 0
debian/uclibc-dev.prerm

@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#

+ 2 - 1
debian/uclibc.postinst

@@ -1,8 +1,9 @@
 #!/bin/sh
 
+set -e
+
 if [ "$1" = "configure" ]; then
 	/sbin/ldconfig
 fi
 
 #DEBHELPER#
-

+ 5 - 0
debian/uclibc.prerm

@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#

+ 10 - 10
debian/uclibc.shlibs

@@ -1,10 +1,10 @@
-libc 0 uclibc (>= 0.9.23-1)
-libm 0 uclibc (>= 0.9.23-1)
-ld-uClibc 0 uclibc (>= 0.9.23-1)
-libdl 0 uclibc (>= 0.9.23-1)
-libcrypt 0 uclibc (>= 0.9.23-1)
-libutil 0 uclibc (>= 0.9.23-1)
-libresolv 0 uclibc (>= 0.9.23-1)
-libnsl 0 uclibc (>= 0.9.23-1)
-libthread_db 1 libthread_db (>= 0.9.23-1)
-libpthread 0 libpthread (>= 0.9.23-1)
+libc 0 uclibc (>= 0.9.26-1)
+libm 0 uclibc (>= 0.9.26-1)
+ld-uClibc 0 uclibc (>= 0.9.26-1)
+libdl 0 uclibc (>= 0.9.26-1)
+libcrypt 0 uclibc (>= 0.9.26-1)
+libutil 0 uclibc (>= 0.9.26-1)
+libresolv 0 uclibc (>= 0.9.26-1)
+libnsl 0 uclibc (>= 0.9.26-1)
+libthread_db 1 uclibc (>= 0.9.26-1)
+libpthread 0 uclibc (>= 0.9.26-1)